LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 03-01-2012, 09:58 PM   #1
Preeti1910
LQ Newbie
 
Registered: Mar 2012
Posts: 7

Rep: Reputation: Disabled
NS2 and Aquasim


Hi
I am working on a project based on underwater environment. I have Ubuntu 11.4 installed. Also I have installed NS2-2.34. I want to install aquasim for simulation purposes. Can anyone please guide me about the installation procedures and give me some links of the tutorials.

Thanks
 
Old 03-02-2012, 02:41 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,866

Rep: Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819
Welcome to LQ.

Some hints about Aquasim in these two threads ..
http://www.linuxquestions.org/questi...quasim-855532/

http://www.linuxquestions.org/questi...otocol-890215/


Aquasim is for ns-2.30 :
You can have more than one version of ns-allinone-2.xx installed.
Except that Ubuntu 11.xx (12.xx?) is worst choice for special software.
g++41-compat-4.1.2_i386.deb, gcc41-compat-4.1.2_i386.deb may work :
export CC=gcc41 CXX=g++41 && ./install

.
 
Old 03-02-2012, 05:43 AM   #3
Satyaveer Arya
Senior Member
 
Registered: May 2010
Location: Dehradun, Uttarakhand, India
Distribution: RHEL, CentOS, Debian, Oracle Solaris 10
Posts: 1,413

Rep: Reputation: 303Reputation: 303Reputation: 303Reputation: 303
You can refer to this link: http://dreamwold.wordpress.com/2011/...llation-guide/

Last edited by Satyaveer Arya; 03-02-2012 at 05:46 AM.
 
Old 03-02-2012, 05:55 AM   #4
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
Hi Knudfl,

I followed your instructions in this thread and also the links to the previous threads you provided.
Got the following results.
Please help.

Platform: Ubuntu 11.04
NS2.34 already installed.
As you said, it supports more than one version of NS. So, now installing NS-allinone-2.30 and Aqua-sim for NS-2.30.

Quote:
============================================================
* Testing for Cygwin environment
============================================================
Cygwin not detected, proceeding with regular install.
============================================================
* Build XGraph-12.1
============================================================
loading cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... missing
checking if malloc debugging is wanted... no
checking for gcc... gcc41
checking whether the C compiler (gcc41 ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
make: *** No targets specified and no makefile found. Stop.
Can not create xgraph; But xgraph is an optional package, continuing...
============================================================
* Build CWeb
============================================================
Making cweb
gcc -g -c -o ctangle.o ctangle.c
ctangle.w:75:12: warning: conflicting types for built-in function ‘strlen’
gcc -g -DCWEBINPUTS=\"/usr/local/lib/cweb\" -c common.c
common.w:1409:12: warning: conflicting types for built-in function ‘strlen’
common.w: In function ‘fatal’:
common.w:1176:1: warning: format not a string literal and no format arguments
gcc -g -o ctangle ctangle.o common.o
gcc -g -c -o cweave.o cweave.c
cweave.w:79:12: warning: conflicting types for built-in function ‘strlen’
cweave.w: In function ‘print_cat’:
cweave.w:1739:1: warning: format not a string literal and no format arguments
gcc -g -o cweave cweave.o common.o
ln: creating symbolic link `cweave': File exists
ln: creating symbolic link `ctangle': File exists
============================================================
* Build Stanford GraphBase
============================================================
Making sgb
gcc41 -g -I/usr/local/sgb/include -DDATA_DIRECTORY=\"/usr/local/sgb/data/\" -c gb_io.c
make: gcc41: Command not found
make: *** [gb_io.o] Error 127
Unable to create sgb library, but it's optional, so continuing...
============================================================
* Build GT-ITM
============================================================
sgb lib not found. gt-itm & sgb2ns could not be installed. Continuing..
============================================================
* Build zlib
============================================================
Building static library libz.a version 1.2.3 with gcc41.
Checking for unistd.h... No.
Checking whether to use vs[n]printf() or s[n]printf()... using s[n]printf()
Checking for snprintf() in stdio.h... No.
WARNING: snprintf() not found, falling back to sprintf(). zlib
can build but will be open to possible buffer-overflow security
vulnerabilities.
Checking for return value of sprintf()... No.
WARNING: apparently sprintf() does not return a value. zlib
can build but will be open to possible string-format security
vulnerabilities.
Checking for errno.h... No.
Checking for mmap support... No.
gcc41 -O -DNO_snprintf -DHAS_sprintf_void -DNO_ERRNO_H -c -o example.o example.c
make: gcc41: Command not found
make: *** [example.o] Error 127
Zlib make failed, but it's optional Continue ...
============================================================
* Build tcl8.4.13
============================================================
rm -f *.a *.o libtcl* core errs *~ \#* TAGS *.E a.out \
errors tclsh tcltest lib.exp Tcl
cd dltest ; make clean
make[1]: Entering directory `/home/urvashi/ns-allinone-2.30/tcl8.4.13/unix/dltest'
rm -f *.o config.cache config.log config.status
rm -f lib.exp ../dltest.marker
rm -f *.so
make[1]: Leaving directory `/home/urvashi/ns-allinone-2.30/tcl8.4.13/unix/dltest'
rm -rf Makefile config.status config.cache config.log tclConfig.sh \
SCRPtcl.* prototype *.plist Tcl.framework
cd dltest ; make distclean
make[1]: Entering directory `/home/urvashi/ns-allinone-2.30/tcl8.4.13/unix/dltest'
rm -f *.o config.cache config.log config.status
rm -f lib.exp ../dltest.marker
rm -f *.so
rm -f Makefile
make[1]: Leaving directory `/home/urvashi/ns-allinone-2.30/tcl8.4.13/unix/dltest'
creating cache ./config.cache
checking whether to use symlinks for manpages... no
checking whether to compress the manpages... no
checking whether to add a package name suffix for the manpages... no
checking for gcc... gcc41
checking whether the C compiler (gcc41 ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project. Please see Scripticscom
to see if they have a fix for your platform.
 
Old 03-02-2012, 11:27 AM   #5
Preeti1910
LQ Newbie
 
Registered: Mar 2012
Posts: 7

Original Poster
Rep: Reputation: Disabled
Hi knudlf

Thanks for the reply but the commands that you mentioned are not running. They give an error "Command not found". Can you please elaborate or suggest a differnt way.

Hi Satyaveer
I have tried this link before but coul'nt decipher the following:
"essential libs for the installation of ns-allinone-2.30. Usually, it requires gcc/g++
complier, automake, X11 lib. To make Aqua3D works, some other packages, such as
freeglut, GTK+ 2.0 and wxGTK-2.8.11, are also required ."

How can i install the above said?
also when i try without above sets, it gives some gcc not found error.
Please help
 
Old 03-02-2012, 11:54 AM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,866

Rep: Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819
Generally for all ns2, all Ubuntu :
sudo apt-get install g++ make autoconf automake libtool libxmu-dev

Ubuntu 11.04 : ( Read post #2 )
sudo dpkg -i gcc41-compat-4.1.2_i386.deb g++41-compat-4.1.2_i386.deb
gcc41-compat https://docs.google.com/open?id=0B7S...RjNjJhOTZjNjI2
g++41-compat https://docs.google.com/open?id=0B7S...hjMjljN2M2MGU4

gtk+2 : always installed by default.
wxGTK-2.8.11 and freeglut :
sudo apt-get install libwxgtk2.8-dev freeglut3-dev


And please read this other thread about Ubuntu 11.04 (11.10)
http://www.linuxquestions.org/questi...1-04-a-921068/
"No old Ubuntu compilers .. will work in Ubuntu 11.04 and 11.10"
( And none of the defult g++ 4.4 , 4.5 , 4.6 will work with ns-2.30 ).

.

Last edited by knudfl; 03-20-2012 at 07:14 AM.
 
Old 03-03-2012, 11:33 AM   #7
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
hi Kundfl,

Thanks for your reply.
commands that you told, worked.

when I gave the command ./install
it gave this result
1.
Quote:

/home/urvashi/ns-allinone-2.30/otcl-1.12/otcl.c:495: undefined reference to `__stack_chk_fail_local'
otcl.o: In function `Otcl_Init':
/home/urvashi/ns-allinone-2.30/otcl-1.12/otcl.c:2284: undefined reference to `__stack_chk_fail_local'
ld: libotcl.so: hidden symbol `__stack_chk_fail_local' isn't defined
ld: final link failed: Nonrepresentable section on output
make: *** [libotcl.so] Error 1
otcl-1.13 make failed! Exiting ...
See http://www.isi.edu/nsnam/ns/ns-problems.html for problems
Then I read http://www.linuxquestions.org/questi...a-921068/other posts at http://www.linuxquestions.org/questi...1-04-a-921068/
and
http://nsnam.isi.edu/nsnam/index.php...allation_Guide

So, made changes in the file otcl-1.12/makefile.in
CC= gcc-4.2
and added SHLIB_LD="gcc -shared" to otcl-1.12/configure

it gave following results.

2.
Quote:

configure: creating ./config.status
config.status: creating Makefile
rm -f libotcl.so otcl.o so_locations
gcc-4.2 -c -g -O2 -DNDEBUG -DUSE_SHM -fpic -I. -I/home/urvashi/ns-allinone-2.30/include -I/home/urvashi/ns-allinone-2.30/include -I/home/urvashi/ns-allinone-2.30/include -I/include otcl.c
make: gcc-4.2: Command not found
make: *** [libotcl.so] Error 127
otcl-1.12 make failed! Exiting ...
See http://www.isi.edu/nsnam/ns/ns-problems.html for problems
Please Help.
 
Old 03-03-2012, 12:06 PM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,866

Rep: Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819
#7, @emmashi : Please read posts #2 and #6 :
You will have to download and install the compilers.
( Ubuntu 11.04 : It's not gcc-4.2, but gcc41 ( and g++41 ).

sudo dpkg -i gcc41-compat-4.1.3_i386.deb g++41-compat-4.1.2_i386.deb
.. Then reboot, and the new compilers can be used.

And :
cd ns-allinone-2.30/ && export CC=gcc41 CXX=g++41 && ./install

.

Last edited by knudfl; 03-03-2012 at 12:16 PM.
 
Old 03-05-2012, 08:01 AM   #9
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
Quote:
sudo dpkg -i gcc41-compat-4.1.3_i386.deb g++41-compat-4.1.2_i386.deb
sudo dpkg -i gcc41-compat-4.1.3_i386.deb g++41-compat-4.1.2_i386.deb
this command is not working.
I have downloaded it from the link you provided.
Also, i tried the installation from synaptic manager. but it didn't work.

It gives the following error.
Quote:
dpkg: error processing gcc41-compat-4.1.2_i386.deb (--install):
cannot access archive: No such file or directory
dpkg: error processing g++41-compat-4.1.2_i386.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
gcc41-compat-4.1.2_i386.deb
g++41-compat-4.1.2_i386.deb
I don't know what to do now. Please help.
 
Old 03-05-2012, 08:33 AM   #10
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,866

Rep: Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819
#9.

The first command is 'pwd', if you don't know your location.
Most terminals will open in /home/<name>/.
Some in /home/<name>/Documents/.
Depending on your settings in /home/<name>/.config/user-dirs.dirs

Then change to the directory with files to be installed.
Like : cd Downloads/ ; sudo dpkg -i <package> <package>

.

Last edited by knudfl; 03-05-2012 at 08:35 AM.
 
Old 03-05-2012, 10:01 AM   #11
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
thank you so much knudfl, it worked.

but some important notices were given at the end to change some path variables, I did that.
next it asked to run command
cd ns-2.30
and then ./validate

but command ./validate did not work.

what should I do next? Need help again.

Quote:

validate overall report: some tests failed:
./test-all-simple ./test-all-tcp ./test-all-testReno ./test-all-newreno ./test-all-sack ./test-all-tcpOptions ./test-all-tcpReset ./test-all-simple-full ./test-all-full ./test-all-testReno-full ./test-all-testReno-bayfull ./test-all-sack-full ./test-all-tcp-init-win ./test-all-tcpVariants ./test-all-LimTransmit ./test-all-aimd ./test-all-greis ./test-all-rfc793edu ./test-all-rfc2581 ./test-all-rbp ./test-all-sctp ./test-all-tcpHighspeed ./test-all-frto ./test-all-friendly ./test-all-srm ./test-all-realaudio ./test-all-ecn ./test-all-ecn-ack ./test-all-ecn-full ./test-all-quickstart ./test-all-diffusion3 ./test-all-smac ./test-all-smac-multihop ./test-all-manual-routing ./test-all-hier-routing ./test-all-algo-routing ./test-all-lan ./test-all-mcast ./test-all-vc ./test-all-session ./test-all-mixmode ./test-all-red ./test-all-adaptive-red ./test-all-red-pd ./test-all-rio ./test-all-vq ./test-all-rem ./test-all-gk ./test-all-pi ./test-all-cbq ./test-all-schedule ./test-all-rr ./test-all-monitor ./test-all-jobs ./test-all-intserv ./test-all-diffserv ./test-all-webcache ./test-all-mcache ./test-all-webtraf ./test-all-simultaneous ./test-all-mip ./test-all-links ./test-all-plm ./test-all-linkstate ./test-all-mpls ./test-all-oddBehaviors ./test-all-wireless-shadowing ./test-all-wireless-lan-aodv ./test-all-wireless-tdma ./test-all-wireless-gridkeeper ./test-all-wireless-diffusion ./test-all-wireless-lan-newnode ./test-all-satellite ./test-all-WLtutorial ./test-all-source-routing ./test-all-misc ./test-all-tagged-trace ./test-all-message ./test-all-rng ./test-all-xcp ./test-all-wpan ./test-all-energy ./test-all-snoop ./test-all-packmime ./test-all-delaybox
to re-run a specific test, cd tcl/test; ./test-all-TEST-NAME
Notice that some tests in webcache will fail on freebsd when -O is turned on.
This is due to some event reordering, which will disappear when -g is turned on.
 
Old 03-05-2012, 11:34 AM   #12
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2015, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,866

Rep: Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819Reputation: 2819
Aquasim, ns-2.30 ..

Using the Fedora / CentOS compiler, compat-gcc-34-c++-3.4.6-4,
on PCLinuxOS-2011 the result is :
Code:
validate overall report: some tests failed:
     ./test-all-wireless-shadowing ./test-all-WLtutorial
A similar result would probably be achieved with Mandriva, CentOS, Fedora, Scientific.

Ubuntu 11.04 and 11.10 : Not the best choice for ns2.
? May be Ubuntu 10.04 will make a better result ? ?

.

Last edited by knudfl; 03-05-2012 at 11:39 AM.
 
Old 03-06-2012, 09:08 AM   #13
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
thanks kundfl.
i'll try it with Ubuntu 10.04
 
Old 03-20-2012, 01:43 AM   #14
emmashi
LQ Newbie
 
Registered: Mar 2012
Posts: 6

Rep: Reputation: Disabled
hi
i have installed ubuntu 10.04 and am getting the following error while installing ns-allinone-2.30

Quote:
make: ***[tk3d.o] Error 1
tk8.4.13 make failed! Exiting...

please Help
 
Old 03-20-2012, 07:06 AM   #15
Preeti1910
LQ Newbie
 
Registered: Mar 2012
Posts: 7

Original Poster
Rep: Reputation: Disabled
Hi
does anyone know the gcc version for ubuntu 10.04.4
i want to install ns 2.30 and aquasim and getting the following error.
Quote:
make: gcc-4.3: Command not found
make: *** [libotcl.so] Error 127
otcl-1.12 make failed! Exiting ...
Please help
 
  


Reply

Tags
aqua3d, aquasim, g++41-compat, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
wireless ns/aquasim varshitha Linux - Wireless Networking 163 02-14-2015 06:04 PM
Aquasim & Aqua3d - ns2 swordx85 Linux - Wireless Networking 3 05-19-2013 10:20 PM
Differences between LEACH results on ns2.1b5 and ns2.35 deepa_2111 Linux - Software 15 05-16-2013 05:53 PM
aquasim varshitha Linux - Wireless Networking 0 01-29-2011 09:42 AM


All times are GMT -5. The time now is 03:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration